%undefine __cmake_in_source_build
%bcond_with clang

Name:           lxqt-menu-data
Summary:        Menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt
Version:        2.0.0
Release:        1%{?dist}
BuildArch:      noarch
License:        LGPL-2.1-or-later
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake ninja-build
%if %{with clang}
BuildRequires: clang >= 5.0
%else
BuildRequires: gcc-c++
%endif
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  perl
BuildRequires:  lxqt-build-tools

%description
Freedesktop.org compliant menu files for LXQt Panel, Configuration Center and PCManFM-Qt/libfm-qt.

%prep
%autosetup -p1

%build
%if %{with clang}
export CC=clang
export CXX=clang++
%endif

%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc CHANGELOG README.md
%{_datadir}/cmake/lxqt-menu-data/
%{_datadir}/desktop-directories/lxqt-*.directory
%{_sysconfdir}/xdg/menus/lxqt-*.menu

%changelog
* Fri Sep 27 2024 Raven <raven@sysadmins.ws> - 2.0.0-1
- update to 2.0.0

* Mon Nov  6 2023 Raven <raven@sysadmins.ws> - 1.4.0-1
- initial build
